// Subtract.h: interface for the CSubtract class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SUBTRACT_H__C943C851_939D_11D3_80A2_00C04F60EB8B__INCLUDED_)
#define AFX_SUBTRACT_H__C943C851_939D_11D3_80A2_00C04F60EB8B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Global.h"

class CSubtract : public CObject  
{
protected:
	float AvgY1a[SIZE];
	float Y2;
	float Y1;
    float V;
	float U;
	float y1[IMAGES][SIZE];
    float Y1Sub[IMAGES][SIZE];
    float AvgY1;

public:
    float ImageW;
    float ImageH;
    float ImagePixel;
    float ImageType;
    float ImageFor;
	void Averaging();
	void PickMode(int nMode);
	void BGSubtraction();
	CSubtract();
	virtual ~CSubtract();

};

#endif // !defined(AFX_SUBTRACT_H__C943C851_939D_11D3_80A2_00C04F60EB8B__INCLUDED_)
